Bug 428316 (CVE-2008-0171) - CVE-2008-0171 boost regular expression memory corruption flaws
Summary: CVE-2008-0171 boost regular expression memory corruption flaws
Status: CLOSED ERRATA
Alias: CVE-2008-0171
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20080111,reported=2...
Keywords: Security
Depends On: 428974 428975 428976 537842 766755
Blocks: 742493
TreeView+ depends on / blocked
 
Reported: 2008-01-10 19:46 UTC by Josh Bressers
Modified: 2012-02-21 09:44 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 09:30:23 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0305 normal SHIPPED_LIVE Low: boost security and bug fix update 2012-02-21 07:24:46 UTC

Description Josh Bressers 2008-01-10 19:46:37 UTC
Will Drewry reported several flaws in boost's regular expression library.  These
malformed regular expressions could possibly lead to arbitrary code execution.

Comment 2 Tomas Hoger 2008-01-16 15:17:07 UTC
Public in upstream SVN, lifting embargo:

http://svn.boost.org/trac/boost/changeset/42674

Comment 4 Fedora Update System 2008-01-22 15:30:56 UTC
boost-1.34.1-7.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update boost'

Comment 5 Fedora Update System 2008-03-13 07:49:06 UTC
boost-1.34.1-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Vincent Danen 2010-11-15 19:21:39 UTC
Statement:

This issue did not affect the version of boost as shipped with Red Hat Enterprise Linux 4 and 6. This issue was addressed in boost packages in Red Hat Enterprise Linux 5 via RHSA-2012:0305.

Comment 11 Murray McAllister 2012-01-19 23:59:33 UTC
Acknowledgements:

Red Hat would like to thank Will Drewry for reporting these issues.

Comment 13 errata-xmlrpc 2012-02-21 03:15:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0305 https://rhn.redhat.com/errata/RHSA-2012-0305.html

Comment 14 errata-xmlrpc 2012-02-21 05:49:18 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0305 https://rhn.redhat.com/errata/RHSA-2012-0305.html


Note You need to log in before you can comment on or make changes to this bug.